LibreOffice LibreOffice 25.2 SDK API Reference

Variables
com::sun::star::sheet::DataPilotOutputRangeType Constant Group Reference

specifies region type of DataPilot table range More...

## Variables
const long | WHOLE = 0
| whole DataPilot output range including the header area above the table where the filter and page field buttons are located. More...
const long | TABLE = 1
| whole table but without the header area where the filter and page field buttons are located. More...
const long | RESULT = 2
| result area where the result values are displayed. More...

## Detailed Description

specifies region type of DataPilot table range

This constant set is used to indicate the type of output range desired when XDataPilotTable2::getOutputRangeByType() is called, which returns a different cell range depending upon the value passed to it as the argument.

See also
  com::sun::star::sheet::XDataPilotTable2

Since
  OOo 3.0

## Variable Documentation

## ◆ RESULT

const long RESULT = 2

result area where the result values are displayed.

This also includes the column and row subtotal areas when they are displayed.

## ◆ TABLE

const long TABLE = 1

whole table but without the header area where the filter and page field buttons are located.

## ◆ WHOLE

const long WHOLE = 0

whole DataPilot output range including the header area above the table where the filter and page field buttons are located.